
import java.util.List;
public interface PlanningDomain {

	public abstract State nextState(State state, int action);
	
	public abstract float transitionCost(State state, int action, State nextState);
	
	public abstract boolean isSolved(State state);
	
	public abstract List<Integer> getStateActions(State state);
}
